<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.elytron.filesystem-realm" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="credential-store,encoded,hash-charset,hash-encoding,key-store,key-store-alias,levels,secret-key,path,relative-to"/>
        <elem name="addr-params" value="profile,host,subsystem,filesystem-realm"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.elytron"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.security.security-realm.$filesystem-realm"/>
        <capability name="$profile.org.wildfly.security.modifiable-security-realm.$filesystem-realm"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.security.credential-store.$credential-store" optional="true"/>
        <capability name="$profile.org.wildfly.security.key-store.$key-store" optional="true"/>
    </requires>
    <refs>
        <ref feature="subsystem.elytron"/>
        <ref feature="profile" nillable="true"/>
        <ref feature="host" nillable="true"/>
    </refs>
    <params>
        <param name="credential-store" nillable="true" stability="default"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="secret-key" nillable="true" stability="default"/>
        <param name="subsystem" feature-id="true" default="elytron"/>
        <param name="key-store-alias" nillable="true" stability="default"/>
        <param name="key-store" nillable="true" stability="default"/>
        <param name="hash-charset" nillable="true" stability="default"/>
        <param name="filesystem-realm" feature-id="true"/>
        <param name="hash-encoding" nillable="true" stability="default"/>
        <param name="path" stability="default"/>
        <param name="relative-to" nillable="true" stability="default"/>
        <param name="host" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="levels" nillable="true" stability="default"/>
        <param name="encoded" nillable="true" stability="default"/>
    </params>
</feature-spec>